pub use capnpc::schema_capnp;

pub mod audit_capnp {
    include!(concat!(env!("OUT_DIR"), "/audit_capnp.rs"));
}

pub mod auth_capnp {
    include!(concat!(env!("OUT_DIR"), "/auth_capnp.rs"));
}

pub mod cache_capnp {
    include!(concat!(env!("OUT_DIR"), "/cache_capnp.rs"));
}

pub mod claim_capnp {
    include!(concat!(env!("OUT_DIR"), "/claim_capnp.rs"));
}

pub mod interest_capnp {
    include!(concat!(env!("OUT_DIR"), "/interest_capnp.rs"));
}

pub mod main_capnp {
    include!(concat!(env!("OUT_DIR"), "/main_capnp.rs"));
}

pub mod measure_capnp {
    include!(concat!(env!("OUT_DIR"), "/measure_capnp.rs"));
}

pub mod notify_capnp {
    include!(concat!(env!("OUT_DIR"), "/notify_capnp.rs"));
}

pub mod owned_capnp {
    include!(concat!(env!("OUT_DIR"), "/owned_capnp.rs"));
}

pub mod permissions_capnp {
    include!(concat!(env!("OUT_DIR"), "/permissions_capnp.rs"));
}

pub mod projects_capnp {
    include!(concat!(env!("OUT_DIR"), "/projects_capnp.rs"));
}

pub mod resource_capnp {
    include!(concat!(env!("OUT_DIR"), "/resource_capnp.rs"));
}

pub mod resources_capnp {
    include!(concat!(env!("OUT_DIR"), "/resources_capnp.rs"));
}

pub mod role_capnp {
    include!(concat!(env!("OUT_DIR"), "/role_capnp.rs"));
}

pub mod state_capnp {
    include!(concat!(env!("OUT_DIR"), "/state_capnp.rs"));
}

pub mod traits_capnp {
    include!(concat!(env!("OUT_DIR"), "/traits_capnp.rs"));
}

pub mod user_capnp {
    include!(concat!(env!("OUT_DIR"), "/user_capnp.rs"));
}

pub mod users_capnp {
    include!(concat!(env!("OUT_DIR"), "/users_capnp.rs"));
}

pub mod utils_capnp {
    include!(concat!(env!("OUT_DIR"), "/utils_capnp.rs"));
}

pub mod traits {
    pub mod checkable_capnp {
        include!(concat!(env!("OUT_DIR"), "/traits/checkable_capnp.rs"));
    }

    pub mod claimable_capnp {
        include!(concat!(env!("OUT_DIR"), "/traits/claimable_capnp.rs"));
    }

    pub mod door_capnp {
        include!(concat!(env!("OUT_DIR"), "/traits/door_capnp.rs"));
    }

    pub mod locateable_capnp {
        include!(concat!(env!("OUT_DIR"), "/traits/locateable_capnp.rs"));
    }

    pub mod lockers_capnp {
        include!(concat!(env!("OUT_DIR"), "/traits/lockers_capnp.rs"));
    }

    pub mod powerable_capnp {
        include!(concat!(env!("OUT_DIR"), "/traits/powerable_capnp.rs"));
    }
}
