//! Core pluggable authentication traits
//!
//! Two traits are central to this module: [`AuthDB`] and [`UserDB`]. `AuthDB` handles identification
//! and authentication of an user, so is called first on SASL authentcation. It most importantly
//! returns the ID of the (authenticated) user, which is then passed to one or more `UserDB` to
//! look up information on that user.

use super::UserRef;

/// 
pub trait AuthDB {
}

pub trait UserDB {

}
